pybtex_0.21-2_all.deb


Advertisement

Description

pybtex - BibTeX-compatible bibliography processor

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pybtex
Package version 0.21
Package release 2
Package architecture all
Package type deb
Installed size 26 B
Download size 5.83 KB
Official Mirror archive.ubuntu.com
Pybtex reads citation information from a file and produces a formatted
bibliography. BibTeX style files are supported. Alternatively it is
possible to write styles in Python.
Pybtex currently understands the following bibliography formats:
* BibTeX
* BibTeXML
* YAML-based format
The resulting bibliography may be output in one of the following formats:
* LaTeX
* HTML
* plain text
This package provides the command-line interface.

Alternatives

Package Version Architecture Repository
pybtex_0.21-2_all.deb 0.21 all Ubuntu Universe
pybtex - - -

Requires

Name Value
python3-pybtex = 0.21-2
python3:any -

Download

Type URL
Binary Package pybtex_0.21-2_all.deb
Source Package pybtex

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pybtex deb package:
    # sudo apt-get install pybtex

Files

Path
/usr/bin/bibtex.pybtex
/usr/bin/pybtex
/usr/bin/pybtex-convert
/usr/bin/pybtex-format
/usr/share/doc/pybtex/changelog.Debian.gz
/usr/share/doc/pybtex/copyright
/usr/share/man/man1/bibtex.pybtex.1.gz
/usr/share/man/man1/pybtex-convert.1.gz
/usr/share/man/man1/pybtex-format.1.gz
/usr/share/man/man1/pybtex.1.gz

Changelog

2017-07-26 - Ghislain Antony Vaillant <ghisvail@gmail.com>
pybtex (0.21-2) unstable; urgency=medium
* Bump debhelper version to 10, no changes required
* Let the pybtex CLI use the Python 3 backend
* Normalize the preamble of the rules file
* Drop superfluous .PHONY occurrences
* Fix a typo in deb/changelog
2017-07-22 - Ghislain Antony Vaillant <ghisvail@gmail.com>
pybtex (0.21-1) unstable; urgency=medium
* Upgrade watch file to version 4
* Add missing gbp configuration
* New upstream version 0.21
* Drop the patch queue, no longer required
* Run cme fix on control file
- Wrap and sort fields and dependencies
- Drop superfluous versioned dependencies
- Bump standards version to 4.0.0
* Run cme fix on copyright file
- Use secure Format URI
- Sort license paragraphs
* Set the Source field to the PyPI URI
* Use secure Homepage URI
* Filter egg-info directory with extend-diff-ignore
* Run the tests in isolation from the source tree
* Add versioned dependency to latexcodec
* Provide separate packages for Python 2 and docs (Closes: #856930)
* Provide a package for Python 3
* Build the docs using the upstream Makefile
* Add support for the nocheck build profile
* Add support for the nodoc build profile
* Provide the alternative entry-point via symlinks
* Improve the autopkgtest suite
- Install the upstream test suite
- Run tests against the installed package
- Run tests for all supported Python versions
* Adopt the package
- Transfer maintenance to the Debian Science Team
- Remove Daniel Stender from Uploaders
- Add myself to Uploaders
- Add myself to copyright (Closes: #860969)
2016-05-11 - Daniel Stender <stender@debian.org>
pybtex (0.20.1-1) unstable; urgency=medium
* New upstream release (Closes: #818183).
* deb/control:
+ added python-latexcodec to build deps.
+ bumped standards to 3.9.8 (no changes needed).
+ dropped python-yaml from binary package deps (not needed).
* deb/copyright: added Hong Xu, updated copyright span.
2016-04-01 - Daniel Stender <stender@debian.org>
pybtex (0.19-2) unstable; urgency=medium
* Added hardcode-copyright-year.patch.
2016-03-14 - Daniel Stender <stender@debian.org>
pybtex (0.19-1) unstable; urgency=medium
* New upstream release (Closes: #810525).
* Set up DEP-8 testing.
* deb/control:
+ put group into Maintainer field (unconfirmed group uploads).
+ deps:
* bumped Debhelper version to 9 (changed also deb/compat).
* added dh-python to build deps.
* don't depend on python-all (not needed).
* dropped dep on pyparsing (obsolete).
* added dep for Sphinx, dropped Jinja2 and Docutils.
* moved Pyyaml from Recommends to Depends (is now install_requires).
+ removed X-Python-Version (not needed).
+ bumped Standards-Version to 3.9.7 (no changes needed).
+ updated Homepage, uploader email address.
+ use HTTPS for Vcs-Browser.
* deb/copyright:
+ updated copyright spans and email addresses.
+ put Bitbucket code repo in Source field.
* deb/rules:
+ build with Pybuild.
+ use Pybuild customization for dh_auto_test, moved override up.
+ update and cosmectics in dh_auto_install override.
+ installed override to dh_installdocs to build docs with Sphinx.
+ installed override for dh_compress to save examples from compressing.
* deb/watch: watch pypi.debian.net.
* Updated: deb/docs, deb/doc-base.

See Also

Package Description
pyca_20031119-0.1ubuntu1_all.deb Certification Authority written in Python
pycarddav_0.7.0-1_all.deb simple to use CardDAV CLI client
pycassa-doc_1.11.2.1-1_all.deb Documentation for the Pycassa library
pychecker_0.8.19-13_all.deb tool to find common bugs in Python source code
pychess_0.12.2-1_all.deb Chess graphical user interface for several chess engines
pycmail_0.1.6_all.deb mail sorter written in Python
pycode-browser_1.02-1_all.deb environment to teach with Python code snippets
pycodestyle_2.3.1-2_all.deb Python style guide checker (formerly called pep8)
pyconfigure_0.2.3-1_all.deb automatic configure script builder for Python software
pycorrfit_1.0.0+dfsg-1build1_i386.deb tool for fitting correlation curves on a logarithmic plot
pydb_1.26-2_all.deb An enhanced Python command-line debugger
pydf_12_all.deb colourised df(1)-clone
pydocstyle_2.0.0-1_all.deb Python docstring style checker (PEP-257 conventions)
pydxcluster_2.21-1_i386.deb HAM Dx Cluster for Linux users
pyecm_2.0.2-3_all.deb integer factorization with the Elliptic Curve Method (ECM)
Advertisement
Advertisement